Skip to main content
PUT
/
toucan
/
tokens
/
{tokenRefId}
/
resume
Resumes a suspended token
curl --request PUT \
  --url https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/resume \
  --header 'Authorization: Bearer <token>' \
  --header 'x-merchant-id: <x-merchant-id>'
import requests

url = "https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/resume"

headers = {
"x-merchant-id": "<x-merchant-id>",
"Authorization": "Bearer <token>"
}

response = requests.put(url, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-merchant-id': '<x-merchant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tokenRefId": "<string>",
  "status": "<string>",
  "metadata": "<string>"
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}

Authorizations

Authorization
string
header
required

Format is: Bearer <api_key>, where <api_key> is your Pagos API key

Headers

x-merchant-id
string
required

Merchant identifier for requests.

Path Parameters

tokenRefId
string | null
required

Response

Token resumed

tokenRefId
string
status
string
metadata
string